Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1053733 - Faulty storage allocation checks when merging a snapshot
Summary: Faulty storage allocation checks when merging a snapshot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.4
Hardware: Unspecified
OS: All
medium
medium
Target Milestone: ---
: 3.5.2
Assignee: Vered Volansky
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks: 1117231 1178010 1193058 1196662 1197441
TreeView+ depends on / blocked
 
Reported: 2014-01-15 17:05 UTC by Allon Mureinik
Modified: 2016-02-10 16:37 UTC (History)
15 users (show)

Fixed In Version: ovirt-3.5.1_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of: 960934
: 1053740 1053746 1053752 1178010 (view as bug list)
Environment:
Last Closed: 2015-04-29 06:15:35 UTC
oVirt Team: Storage


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 33610 0 master MERGED core: Merge snapshots storage allocation Never
oVirt gerrit 33696 0 ovirt-engine-3.5 MERGED core: Merge snapshots storage allocation Never
oVirt gerrit 37014 0 master MERGED core: Fix storage allocation check when merging a snapshot Never
oVirt gerrit 37255 0 ovirt-engine-3.5 MERGED core: Fix storage allocation check when merging a snapshot Never

Description Allon Mureinik 2014-01-15 17:05:04 UTC
+++ This bug was initially created as a clone of Bug #960934 +++

When merging a snapshot disk, we have a transient situation where the data of the merged snapshot exists twice - in the source and target.
We must make sure we have this space for a successful merge:

      | File Domain                             | Block Domain
 -----|-----------------------------------------|-------------
 qcow | preallocated : 1.1 * disk capacity      |1.1 * min(used ,capacity) 
      | sparse: 1.1 * min(used ,capacity)       |
 -----|-----------------------------------------|-------------
 raw  | preallocated: disk capacity             |disk capacity
      | sparse: min(used,capacity)

Comment 1 Vered Volansky 2014-10-01 07:14:31 UTC
The related commands to the above scenario are RemoveSnapshotCommand and RemoveDiskSnapshotsCommand.

Verify in two ways:
1. Remove a snapshot from vm tab, snapshots subtab.
2. Remove a disk snapshot from the storage tab, snapshots subtab.

Say we have B + S1 + S2, all 10G.
SD should have extra available space for 20G (the maximum size merge of the two snapshots). Domain with less than 20G free space should fail and 20G+ should succeed.

Comment 2 Sandro Bonazzola 2015-01-15 14:14:27 UTC
This is an automated message: 
This bug should be fixed in oVirt 3.5.1 RC1, moving to QA

Comment 3 Aharon Canan 2015-01-19 07:12:34 UTC
verified downstream already

Comment 4 Eyal Edri 2015-02-26 12:31:24 UTC
this ovirt bug was fixed during 3.5.1 cycle and is included in the build, and therefore should be verified.

Comment 5 Ori Gofen 2015-03-19 09:40:15 UTC
verified on vt14

Comment 6 Eyal Edri 2015-04-29 06:15:35 UTC
ovirt 3.5.2 was GA'd. closing current release.


Note You need to log in before you can comment on or make changes to this bug.